Bug 267955 - NullPointerException at org.netbeans.modules.debugger.jpda.expr.EvaluatorVisitor.visitMethodInvocation
NullPointerException at org.netbeans.modules.debugger.jpda.expr.EvaluatorVisi...
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Java
8.1
All All
: P3 (vote)
: 8.2
Assigned To: Martin Entlicher
issues@debugger
EXCEPTIONS_REPORT, 82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-09 13:37 UTC by Andrey1990
Modified: 2016-12-14 06:58 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.31 KB, text/plain)
2016-09-09 13:37 UTC, Andrey1990
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey1990 2016-09-09 13:37:07 UTC
Build: NetBeans IDE 8.1 (Build 201510222201)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.51-b03, Java(TM) SE Runtime Environment, 1.8.0_51-b16
OS: Windows 8

User Comments:
Andrey1990: Debugging application with Spring and Hibernate




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.debugger.jpda.expr.EvaluatorVisitor.visitMethodInvocation(EvaluatorVisitor.java:308)
   at org.netbeans.modules.debugger.jpda.expr.EvaluatorVisitor.visitMethodInvocation(EvaluatorVisitor.java:207)
   at com.sun.tools.javac.tree.JCTree$JCMethodInvocation.accept(JCTree.java:1483)
   at org.netbeans.modules.debugger.jpda.expr.EvaluatorVisitor.visitReturn(EvaluatorVisitor.java:2775)
   at org.netbeans.modules.debugger.jpda.expr.EvaluatorVisitor.visitReturn(EvaluatorVisitor.java:207)
   at com.sun.tools.javac.tree.JCTree$JCReturn.accept(JCTree.java:1396)
Comment 1 Andrey1990 2016-09-09 13:37:09 UTC
Created attachment 161981 [details]
stacktrace
Comment 2 Martin Entlicher 2016-09-12 12:12:04 UTC
Fixed by changeset:   300657:2b120d2f6cdc
http://hg.netbeans.org/core-main/rev/2b120d2f6cdc
Comment 3 Quality Engineering 2016-09-13 02:03:06 UTC
Integrated into 'main-silver', will be available in build *201609130002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/2b120d2f6cdc
User: mentlicher@netbeans.org
Log: #267955: Check if the method invoke element exists.
Comment 4 Martin Entlicher 2016-12-09 10:21:42 UTC
Transplanted to release82:
http://hg.netbeans.org/releases/rev/025172bdf6ee
Comment 5 Jiri Kovalsky 2016-12-14 06:58:11 UTC
Verified on behalf of Андрей. Thanks!


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo